@echo off
setlocal enabledelayedexpansion

REM 指定待删除文件的目录，比如"C:\temp"
set "dir=.\BIOS"

REM 使用for /r命令递归查找指定目录及其子目录的*.bin文件
for /r "%dir%" %%f in (*.bin) do (
  echo delete: %%f
  del "%%f" /q
)

rem 提示用户脚本完成，并检查是否有错误发生
if %errorlevel% neq 0 (
  echo delete Error
) else (
  echo delete success
)
Pause